<div class="search-products-container">
  <div class="products-search-options">
    <!-- <nz-radio-group [(ngModel)]="this.radioButtonOption">
      <label nz-radio nzValue="vendor">by Vendor</label>
      <label nz-radio nzValue="product">by Product</label>
      <label nz-radio nzValue="cpe">by CPE</label>
      <label nz-radio nzValue="cveId">by CVE ID</label>
    </nz-radio-group> -->
    <nz-select [(ngModel)]="this.radioButtonOption" class="search-dropdown">
      <nz-option nzValue="vendor" nzLabel="by Vendor"></nz-option>
      <nz-option nzValue="product" nzLabel="by Product"></nz-option>
      <nz-option nzValue="cpe" nzLabel="by CPE"></nz-option>
      <nz-option nzValue="cveId" nzLabel="by CVE ID"></nz-option>
    </nz-select>
  </div>
  <div class="search-products-input">
    <nz-input-group nzSearch
      [nzAddOnAfter]="suffixIconButton">
      <input type="text"
        nz-input placeholder="Search product"
        [(ngModel)]="this.searchString"
        (keydown.enter)="onSearchButtonClicked()"/>
    </nz-input-group>
    <ng-template #suffixIconButton>
      <button nz-button nzType="primary"
        nzSearch
        (click)="onSearchButtonClicked()"><i nz-icon nzType="search"></i></button>
    </ng-template>
  </div>
</div>